#ifndef __VERIFIER_H__
#define __VERIFIER_H__

#include <chunk.h>

#include "abac_internal.h"

#include "uthash.h"

void abac_verifier_init(void);
void abac_verifier_deinit(void);

int abac_verifier_load_id_id(abac_id_t*, abac_id_credential_t **id_cert);
int abac_verifier_load_id_file(char *filename, char*, abac_id_credential_t **id_cert);
int abac_verifier_load_id_chunk(chunk_t chunk, abac_id_credential_t **id_cert);
int abac_verifier_load_attribute_cert_attribute(abac_attribute_t *, abac_credential_t **cred);
int abac_verifier_load_attribute_cert_file(char *filename, abac_credential_t **cred);
int abac_verifier_load_attribute_cert_chunk(chunk_t chunk, abac_credential_t **cred);

#endif /* __VERIFIER_H__ */
